Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh.ftp.client
Interface SFTPCfgConst

    public interface SFTPCfgConst

Field Summary
`static java.lang.String` | `C_P_FW_HOST`
`static java.lang.String` | `C_P_FW_LOGIN`
`static java.lang.String` | `C_P_FW_PASSWD`
`static java.lang.String` | `C_P_FW_PORT`
`static java.lang.String` | `C_P_FW_SOC_ON`
`static java.lang.String` | `C_P_FW_SOC_VER`
`static java.lang.String` | `C_P_SFTP_AUTH_TYPE`
`static java.lang.String` | `C_P_SFTP_DO_KEY_VERIF`
`static java.lang.String` | `C_P_SFTP_HOST`
`static java.lang.String` | `C_P_SFTP_KEY_LOC`
`static java.lang.String` | `C_P_SFTP_KEY_PASSWD`
`static java.lang.String` | `C_P_SFTP_LOGIN`
`static java.lang.String` | `C_P_SFTP_PASSWD`
`static java.lang.String` | `C_P_SFTP_PORT`
`static java.lang.String` | `C_P_SFTP_PREFERRED_KEY_ALG`
`static java.lang.String` | `C_P_SFTP_R_HOST`
`static java.lang.String` | `C_P_SFTP_SVR_KEY_FILE`
`static java.lang.String` | `P_GEN_CONN_MODE`
`static java.lang.String` | `P_POST_LCMD`
`static java.lang.String` | `P_POST_LDIR`
`static java.lang.String` | `P_POST_LDIR_PATT`
`static java.lang.String` | `P_POST_LFILE`
`static java.lang.String` | `P_POST_LFILE_PATT`
`static java.lang.String` | `P_POST_RCMD`
`static java.lang.String` | `P_POST_RDIR`
`static java.lang.String` | `P_POST_RDIR_PATT`
`static java.lang.String` | `P_POST_RFILE`
`static java.lang.String` | `P_POST_RFILE_PATT`
`static java.lang.String` | `P_PRE_LCMD`
`static java.lang.String` | `P_PRE_LDIR`
`static java.lang.String` | `P_PRE_LDIR_PATT`
`static java.lang.String` | `P_PRE_LFILE`
`static java.lang.String` | `P_PRE_LFILE_PATT`
`static java.lang.String` | `P_PRE_RCMD`
`static java.lang.String` | `P_PRE_RDIR`
`static java.lang.String` | `P_PRE_RDIR_PATT`
`static java.lang.String` | `P_PRE_RFILE`
`static java.lang.String` | `P_PRE_RFILE_PATT`
`static java.lang.String` | `P_SFTP_BLK_SZ`
`static java.lang.String` | `P_SFTP_L_RD_BUFF_SZ`
`static java.lang.String` | `P_SFTP_LDIR`
`static java.lang.String` | `P_SFTP_LDIR_PATT`
`static java.lang.String` | `P_SFTP_LFILE`
`static java.lang.String` | `P_SFTP_LFILE_PATT`
`static java.lang.String` | `P_SFTP_RDIR`
`static java.lang.String` | `P_SFTP_RDIR_PATT`
`static java.lang.String` | `P_SFTP_RFILE`
`static java.lang.String` | `P_SFTP_RFILE_PATT`
`static java.lang.String` | `P_SFTP_RMT_EOL`
`static java.lang.String` | `P_SFTP_TRNS_MODE`
`static java.lang.String` | `P_SYN_SYNC`
`static java.lang.String` | `S_FIREWALL`
`static java.lang.String` | `S_GEN_SETTINGS`
`static java.lang.String` | `S_POST_TRNS`
`static java.lang.String` | `S_PRE_TRNS`
`static java.lang.String` | `S_SFTP`
`static java.lang.String` | `S_SYN`

Field Detail

### S_SFTP

    static final java.lang.String S_SFTP

See Also:
  Constant Field Values

### S_PRE_TRNS

    static final java.lang.String S_PRE_TRNS

See Also:
  Constant Field Values

### S_POST_TRNS

    static final java.lang.String S_POST_TRNS

See Also:
  Constant Field Values

### S_GEN_SETTINGS

    static final java.lang.String S_GEN_SETTINGS

See Also:
  Constant Field Values

### S_FIREWALL

    static final java.lang.String S_FIREWALL

See Also:
  Constant Field Values

### S_SYN

    static final java.lang.String S_SYN

See Also:
  Constant Field Values

### C_P_SFTP_HOST

    static final java.lang.String C_P_SFTP_HOST

See Also:
  Constant Field Values

### C_P_SFTP_PORT

    static final java.lang.String C_P_SFTP_PORT

See Also:
  Constant Field Values

### C_P_SFTP_LOGIN

    static final java.lang.String C_P_SFTP_LOGIN

See Also:
  Constant Field Values

### C_P_SFTP_PASSWD

    static final java.lang.String C_P_SFTP_PASSWD

See Also:
  Constant Field Values

### C_P_FW_HOST

    static final java.lang.String C_P_FW_HOST

See Also:
  Constant Field Values

### C_P_FW_PORT

    static final java.lang.String C_P_FW_PORT

See Also:
  Constant Field Values

### C_P_FW_LOGIN

    static final java.lang.String C_P_FW_LOGIN

See Also:
  Constant Field Values

### C_P_FW_PASSWD

    static final java.lang.String C_P_FW_PASSWD

See Also:
  Constant Field Values

### C_P_FW_SOC_ON

    static final java.lang.String C_P_FW_SOC_ON

See Also:
  Constant Field Values

### C_P_FW_SOC_VER

    static final java.lang.String C_P_FW_SOC_VER

See Also:
  Constant Field Values

### P_SFTP_LDIR

    static final java.lang.String P_SFTP_LDIR

See Also:
  Constant Field Values

### P_SFTP_LFILE

    static final java.lang.String P_SFTP_LFILE

See Also:
  Constant Field Values

### P_SFTP_RDIR

    static final java.lang.String P_SFTP_RDIR

See Also:
  Constant Field Values

### P_SFTP_RFILE

    static final java.lang.String P_SFTP_RFILE

See Also:
  Constant Field Values

### P_SFTP_LDIR_PATT

    static final java.lang.String P_SFTP_LDIR_PATT

See Also:
  Constant Field Values

### P_SFTP_LFILE_PATT

    static final java.lang.String P_SFTP_LFILE_PATT

See Also:
  Constant Field Values

### P_SFTP_RDIR_PATT

    static final java.lang.String P_SFTP_RDIR_PATT

See Also:
  Constant Field Values

### P_SFTP_RFILE_PATT

    static final java.lang.String P_SFTP_RFILE_PATT

See Also:
  Constant Field Values

### P_POST_RCMD

    static final java.lang.String P_POST_RCMD

See Also:
  Constant Field Values

### P_POST_RDIR

    static final java.lang.String P_POST_RDIR

See Also:
  Constant Field Values

### P_POST_RDIR_PATT

    static final java.lang.String P_POST_RDIR_PATT

See Also:
  Constant Field Values

### P_POST_RFILE

    static final java.lang.String P_POST_RFILE

See Also:
  Constant Field Values

### P_POST_RFILE_PATT

    static final java.lang.String P_POST_RFILE_PATT

See Also:
  Constant Field Values

### P_POST_LCMD

    static final java.lang.String P_POST_LCMD

See Also:
  Constant Field Values

### P_POST_LDIR

    static final java.lang.String P_POST_LDIR

See Also:
  Constant Field Values

### P_POST_LDIR_PATT

    static final java.lang.String P_POST_LDIR_PATT

See Also:
  Constant Field Values

### P_POST_LFILE

    static final java.lang.String P_POST_LFILE

See Also:
  Constant Field Values

### P_POST_LFILE_PATT

    static final java.lang.String P_POST_LFILE_PATT

See Also:
  Constant Field Values

### P_PRE_RCMD

    static final java.lang.String P_PRE_RCMD

See Also:
  Constant Field Values

### P_PRE_RDIR

    static final java.lang.String P_PRE_RDIR

See Also:
  Constant Field Values

### P_PRE_RDIR_PATT

    static final java.lang.String P_PRE_RDIR_PATT

See Also:
  Constant Field Values

### P_PRE_RFILE

    static final java.lang.String P_PRE_RFILE

See Also:
  Constant Field Values

### P_PRE_RFILE_PATT

    static final java.lang.String P_PRE_RFILE_PATT

See Also:
  Constant Field Values

### P_PRE_LCMD

    static final java.lang.String P_PRE_LCMD

See Also:
  Constant Field Values

### P_PRE_LDIR

    static final java.lang.String P_PRE_LDIR

See Also:
  Constant Field Values

### P_PRE_LDIR_PATT

    static final java.lang.String P_PRE_LDIR_PATT

See Also:
  Constant Field Values

### P_PRE_LFILE

    static final java.lang.String P_PRE_LFILE

See Also:
  Constant Field Values

### P_PRE_LFILE_PATT

    static final java.lang.String P_PRE_LFILE_PATT

See Also:
  Constant Field Values

### P_SYN_SYNC

    static final java.lang.String P_SYN_SYNC

See Also:
  Constant Field Values

### P_SFTP_L_RD_BUFF_SZ

    static final java.lang.String P_SFTP_L_RD_BUFF_SZ

See Also:
  Constant Field Values

### P_SFTP_BLK_SZ

    static final java.lang.String P_SFTP_BLK_SZ

See Also:
  Constant Field Values

### P_SFTP_RMT_EOL

    static final java.lang.String P_SFTP_RMT_EOL

See Also:
  Constant Field Values

### C_P_SFTP_AUTH_TYPE

    static final java.lang.String C_P_SFTP_AUTH_TYPE

See Also:
  Constant Field Values

### C_P_SFTP_KEY_LOC

    static final java.lang.String C_P_SFTP_KEY_LOC

See Also:
  Constant Field Values

### C_P_SFTP_KEY_PASSWD

    static final java.lang.String C_P_SFTP_KEY_PASSWD

See Also:
  Constant Field Values

### C_P_SFTP_SVR_KEY_FILE

    static final java.lang.String C_P_SFTP_SVR_KEY_FILE

See Also:
  Constant Field Values

### C_P_SFTP_R_HOST

    static final java.lang.String C_P_SFTP_R_HOST

See Also:
  Constant Field Values

### C_P_SFTP_DO_KEY_VERIF

    static final java.lang.String C_P_SFTP_DO_KEY_VERIF

See Also:
  Constant Field Values

### P_SFTP_TRNS_MODE

    static final java.lang.String P_SFTP_TRNS_MODE

See Also:
  Constant Field Values

### C_P_SFTP_PREFERRED_KEY_ALG

    static final java.lang.String C_P_SFTP_PREFERRED_KEY_ALG

See Also:
  Constant Field Values

### P_GEN_CONN_MODE

    static final java.lang.String P_GEN_CONN_MODE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD